<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.5.1.final using JasperReports Library version 6.5.1  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="PurchaseOrderUnRegPP" pageWidth="935" pageHeight="612" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="895" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="14" uuid="65a8c1a5-501a-4488-b9c6-f2efa32c1467">
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="SBSServer"/>
	<property name="com.jaspersoft.studio.unit." value="cm"/>
	<property name="ireport.jasperserver.url" value="http://192.168.1.2:8098/jasperserver/"/>
	<property name="ireport.jasperserver.user" value="jasperadmin"/>
	<property name="ireport.jasperserver.reportUnit" value="/Files/live/PurchaseOrder"/>
	<property name="com.jaspersoft.studio.report.unit.description" value="print Out pp"/>
	<property name="ireport.jasperserver.report.resource" value="/Files/live/PurchaseOrder_files/PurchaseOrder_"/>
	<style name="Style1" hTextAlign="Center" vTextAlign="Middle" fontName="Verdana"/>
	<parameter name="idPruchaseOrder" class="java.lang.String"/>
	<parameter name="Parameter1" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["repo:/images/cheklist.png"]]></defaultValueExpression>
	</parameter>
	<parameter name="default" class="java.lang.Integer">
		<defaultValueExpression><![CDATA[new Integer("1")]]></defaultValueExpression>
	</parameter>
	<queryString language="SQL">
		<![CDATA[select *, 
case when a.sifat = 'biasa' then 'X'
else ' ' end as biasa, 
case when a.sifat = 'segera' then 'X'
else ' ' end as segera, 
case when a.sifat = 'penting' then 'X'
else ' ' end as penting,
case when a.needs = 'rutin' then 'X'
else ' ' end as rutin, 
case when a.needs = 'non rutin' then 'X'
else ' ' end as non_rutin,
case when a.app1 is null and a.app2 is null and a.appasmen is not null then concat(a.diusulkan,'   ',a.appasmen,'   ', a.appdept)
when a.app1 is null and a.app2 is null and a.appasmen is null then concat(a.diusulkan,'               ', a.appdept)
when a.app1 is null and a.appasmen is not null then concat(a.diusulkan,'   ',a.appasmen,'   ', a.appdept, '   ', a.app2)
when a.app1 is null and a.appasmen is null then concat(a.diusulkan,'         ', a.appdept, '      ', a.app2)
when a.app2 is null and a.appasmen is not null then CONCAT(a.diusulkan,'    ',a.appasmen,'   ', a.appdept,'   ', a.app1)
when a.app2 is null and a.appasmen is null then CONCAT(a.diusulkan,'         ', a.appdept, '      ', a.app1)
else CONCAT(a.diusulkan,'         ', a.appdept, '      ', a.app1,'      ',a.app2) end as appKepBag,
case when a.app1 is null then concat(a.dtappspv,'', a.dtappmgr, '', a.dtapp2)
when a.app2 is null then CONCAT(a.dtappspv,'', a.dtappmgr, '', a.dtapp1)
else CONCAT(a.dtappspv,'', a.dtappmgr, '', a.dtapp1,'',a.dtapp2) end as tglappKepBag,

e.dtcreate as tglreg,
e.noregis as noregis
from purchase_orders a 
join purchase_order_item b on a.idpurchaseorder = b.idpurchaseorder
left join master_bahan c on b.codeproduk = c.kdbahan and a.divition = c.div
left join registerpp_detail d on a.idpurchaseorder = d.idpurchaseorder
left join registerpp e on d.idregis = e.idregister
where a.idpurchaseorder = $P{idPruchaseOrder} and d.isregister = 0
order by b.no_urut asc]]>
	</queryString>
	<field name="idpurchaseorder" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="idpurchaseorder"/>
	</field>
	<field name="nopurchaseorder" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="nopurchaseorder"/>
	</field>
	<field name="dtorder" class="java.sql.Timestamp">
		<property name="com.jaspersoft.studio.field.label" value="dtorder"/>
	</field>
	<field name="divition" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="divition"/>
	</field>
	<field name="sifat" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="sifat"/>
	</field>
	<field name="needs" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="needs"/>
	</field>
	<field name="apppembelian" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="apppembelian"/>
	</field>
	<field name="dtapppembelian" class="java.sql.Timestamp">
		<property name="com.jaspersoft.studio.field.label" value="dtapppembelian"/>
	</field>
	<field name="apppabrik" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="apppabrik"/>
	</field>
	<field name="dtapppabrik" class="java.sql.Timestamp">
		<property name="com.jaspersoft.studio.field.label" value="dtapppabrik"/>
	</field>
	<field name="appdept" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="appdept"/>
	</field>
	<field name="dtappdept" class="java.sql.Timestamp">
		<property name="com.jaspersoft.studio.field.label" value="dtappdept"/>
	</field>
	<field name="createby" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="createby"/>
	</field>
	<field name="dtcreateby" class="java.sql.Timestamp">
		<property name="com.jaspersoft.studio.field.label" value="dtcreateby"/>
	</field>
	<field name="tipe" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="tipe"/>
	</field>
	<field name="no_bbm" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="no_bbm"/>
	</field>
	<field name="ket" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="ket"/>
	</field>
	<field name="dtnecessity" class="java.sql.Timestamp">
		<property name="com.jaspersoft.studio.field.label" value="dtnecessity"/>
	</field>
	<field name="contenttype" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="contenttype"/>
	</field>
	<field name="content" class="java.sql.Blob">
		<property name="com.jaspersoft.studio.field.label" value="content"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="purchase_orders"/>
	</field>
	<field name="diusulkan" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="diusulkan"/>
	</field>
	<field name="app1" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="app1"/>
	</field>
	<field name="dtapp1" class="java.sql.Timestamp">
		<property name="com.jaspersoft.studio.field.label" value="dtapp1"/>
	</field>
	<field name="app2" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="app2"/>
	</field>
	<field name="dtapp2" class="java.sql.Timestamp">
		<property name="com.jaspersoft.studio.field.label" value="dtapp2"/>
	</field>
	<field name="idpurorditem" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="idpurorditem"/>
	</field>
	<field name="COLUMN_27" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="idpurchaseorder"/>
	</field>
	<field name="codeproduk" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="codeproduk"/>
	</field>
	<field name="produkname" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="produkname"/>
	</field>
	<field name="qty" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="qty"/>
	</field>
	<field name="unit" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="unit"/>
	</field>
	<field name="dtoffer" class="java.sql.Timestamp">
		<property name="com.jaspersoft.studio.field.label" value="dtoffer"/>
	</field>
	<field name="supplyername" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="supplyername"/>
	</field>
	<field name="supplyerprice" class="java.lang.Integer">
		<property name="com.jaspersoft.studio.field.label" value="supplyerprice"/>
	</field>
	<field name="necessity" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="necessity"/>
	</field>
	<field name="COLUMN_36" class="java.sql.Timestamp">
		<property name="com.jaspersoft.studio.field.label" value="dtnecessity"/>
	</field>
	<field name="remainingstock" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="remainingstock"/>
	</field>
	<field name="remainingpo" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="remainingpo"/>
	</field>
	<field name="dtcreate" class="java.sql.Timestamp">
		<property name="com.jaspersoft.studio.field.label" value="dtcreate"/>
	</field>
	<field name="no_ph" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="no_ph"/>
	</field>
	<field name="catatan" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="catatan"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="purchase_order_item"/>
	</field>
	<field name="status" class="java.lang.Integer">
		<property name="com.jaspersoft.studio.field.label" value="status"/>
	</field>
	<field name="mata_uang" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="mata_uang"/>
	</field>
	<field name="qtybookingpo" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="qtybookingpo"/>
	</field>
	<field name="qty_bbm" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="qty_bbm"/>
	</field>
	<field name="no_urut" class="java.lang.Integer">
		<property name="com.jaspersoft.studio.field.label" value="no_urut"/>
	</field>
	<field name="qty_terpenuhi" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="qty_terpenuhi"/>
	</field>
	<field name="tpbahan" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="tpbahan"/>
	</field>
	<field name="kdumum" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="kdumum"/>
	</field>
	<field name="kdbahan" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="kdbahan"/>
	</field>
	<field name="nmbahan" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="nmbahan"/>
	</field>
	<field name="satuan" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="satuan"/>
	</field>
	<field name="COLUMN_53" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="status"/>
	</field>
	<field name="stok" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="stok"/>
	</field>
	<field name="karantina" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="karantina"/>
	</field>
	<field name="tolak" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="tolak"/>
	</field>
	<field name="harga" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="harga"/>
	</field>
	<field name="kdbahan_lama" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="kdbahan_lama"/>
	</field>
	<field name="saldo" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="saldo"/>
	</field>
	<field name="masuk" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="masuk"/>
	</field>
	<field name="keluar" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="keluar"/>
	</field>
	<field name="krtn" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="krtn"/>
	</field>
	<field name="prod" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="prod"/>
	</field>
	<field name="supp" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="supp"/>
	</field>
	<field name="lain" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="lain"/>
	</field>
	<field name="korr" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="korr"/>
	</field>
	<field name="exp_halal" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="exp_halal"/>
	</field>
	<field name="leadtime" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="leadtime"/>
	</field>
	<field name="idmasbahan" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="idmasbahan"/>
	</field>
	<field name="div" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="div"/>
	</field>
	<field name="saldo_pp" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="saldo_pp"/>
	</field>
	<field name="saldo_po" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="saldo_po"/>
	</field>
	<field name="max_saldo" class="java.lang.Double">
		<property name="com.jaspersoft.studio.field.label" value="max_saldo"/>
	</field>
	<field name="biasa" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="biasa"/>
	</field>
	<field name="segera" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="segera"/>
	</field>
	<field name="penting" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="penting"/>
	</field>
	<field name="rutin" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="rutin"/>
	</field>
	<field name="non_rutin" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="non_rutin"/>
	</field>
	<field name="appKepBag" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="appKepBag"/>
	</field>
	<field name="tglreg" class="java.sql.Date"/>
	<field name="dt_sent" class="java.sql.Timestamp"/>
	<variable name="idpurorditem1" class="java.lang.Integer" calculation="Count">
		<variableExpression><![CDATA[$F{idpurorditem}]]></variableExpression>
	</variable>
	<variable name="idpurchaseorder1" class="java.lang.Integer" resetType="None" calculation="DistinctCount">
		<variableExpression><![CDATA[$F{idpurchaseorder}]]></variableExpression>
	</variable>
	<variable name="idpurchaseorder2" class="java.lang.Integer" resetType="Page" calculation="Count">
		<variableExpression><![CDATA[$F{idpurchaseorder}]]></variableExpression>
	</variable>
	<variable name="idpurorditem2" class="java.lang.Integer" resetType="Column" calculation="DistinctCount">
		<variableExpression><![CDATA[$F{idpurorditem}]]></variableExpression>
	</variable>
	<variable name="noUrut" class="java.lang.Integer" resetType="None" calculation="Count">
		<variableExpression><![CDATA[new Integer($V{noUrut}.intValue()+$P{default}.intValue())]]></variableExpression>
	</variable>
	<pageHeader>
		<band height="72" splitType="Stretch">
			<textField isBlankWhenNull="true">
				<reportElement x="432" y="36" width="159" height="15" uuid="27b9f202-a522-4f38-a964-0b724ac5333b"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Verdana" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{nopurchaseorder}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="350" y="36" width="82" height="15" uuid="0ba7f46d-c125-47b6-a192-0029143ba656"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="12"/>
				</textElement>
				<text><![CDATA[NOMOR PP  :]]></text>
			</staticText>
			<staticText>
				<reportElement x="800" y="54" width="40" height="18" uuid="fc265222-045d-4945-bb27-1927f1c03b74"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="10"/>
				</textElement>
				<text><![CDATA[Tipe  :]]></text>
			</staticText>
			<textField isBlankWhenNull="true">
				<reportElement x="841" y="54" width="48" height="18" uuid="fbf7c905-3996-4121-8508-6aeec7fd3054"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Verdana" size="10"/>
					<paragraph lineSpacing="Double"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{tipe}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="8" y="54" width="66" height="18" uuid="8ec3835e-e9e0-4cf2-b29d-05956d6f4a62"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10"/>
				</textElement>
				<text><![CDATA[TANGGAL    :]]></text>
			</staticText>
			<textField pattern="dd-MM-YYYY" isBlankWhenNull="true">
				<reportElement x="74" y="54" width="106" height="18" uuid="10503f8c-f391-4f12-9b40-d7451e833091"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Verdana" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{dtorder}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="225" y="54" width="60" height="18" uuid="3554e4c1-8cba-475f-9cdc-46414cdd7758"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10"/>
				</textElement>
				<text><![CDATA[BAGIAN    :]]></text>
			</staticText>
			<textField isBlankWhenNull="true">
				<reportElement x="285" y="54" width="115" height="18" uuid="f4d00fca-ae06-4368-a4f8-672e1236d87f"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Verdana" size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{divition}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="482" y="54" width="170" height="18" uuid="54999c59-f6e6-423f-850e-a2c8755d797f"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="10"/>
				</textElement>
				<text><![CDATA[BARANG DIBUTUHKAN TANGGAL :]]></text>
			</staticText>
			<textField pattern="dd-MM-YYYY h:mm a" isBlankWhenNull="true">
				<reportElement style="Style1" stretchType="ContainerHeight" x="652" y="54" width="103" height="18" uuid="03ad12b4-5ea5-43f7-95de-c89cb19c608c">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="50989cbf-2f77-444c-9c2a-22c2811e713c"/>
				</reportElement>
				<box>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Verdana" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{dtnecessity}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="" style="Style1" x="7" y="4" width="885" height="16" uuid="d17e5742-489d-45a3-b9c6-c031de9703f2"/>
				<textElement>
					<font size="12"/>
				</textElement>
				<text><![CDATA[PT. SINDE BUDI SENTOSA]]></text>
			</staticText>
			<staticText>
				<reportElement key="" style="Style1" x="7" y="20" width="884" height="16" uuid="0e5b7003-3940-4026-97ac-d9e4bb278e34"/>
				<textElement>
					<font size="12"/>
				</textElement>
				<text><![CDATA[PERMINTAAN PEMBELIAN (PP)]]></text>
			</staticText>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="37" splitType="Stretch">
			<staticText>
				<reportElement x="37" y="3" width="90" height="34" uuid="faac3c73-f554-4ea5-a969-3cc11c4e171f">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="55178c58-53b9-4401-a14f-7fd5af5e029c"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="9"/>
				</textElement>
				<text><![CDATA[KODE]]></text>
			</staticText>
			<staticText>
				<reportElement x="7" y="3" width="30" height="34" uuid="21000acb-125b-4fc0-bed6-0e1d57064c9c">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="55178c58-53b9-4401-a14f-7fd5af5e029c"/>
				</reportElement>
				<box>
					<pen lineWidth="0.75"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="9"/>
				</textElement>
				<text><![CDATA[No.]]></text>
			</staticText>
			<staticText>
				<reportElement x="127" y="3" width="171" height="34" uuid="73bf4d16-401c-4855-8b8e-be933720b26c">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="0cd7ebb5-da2a-4930-b1d0-161f2f44e917"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="9"/>
				</textElement>
				<text><![CDATA[NAMA BARANG ]]></text>
			</staticText>
			<staticText>
				<reportElement x="336" y="3" width="55" height="34" uuid="e5bc41bb-e6cf-4408-8c9a-100724d6c00c">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="b9675145-ae95-4dc8-ab47-078da55875c8"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="9"/>
				</textElement>
				<text><![CDATA[KUANTITAS]]></text>
			</staticText>
			<staticText>
				<reportElement x="526" y="3" width="44" height="34" uuid="0468807c-48d0-4b7a-a84b-397841c5052e">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="1e0f5262-5118-4ae1-bf1f-b129713a4e62"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="9"/>
				</textElement>
				<text><![CDATA[EST. HARGA]]></text>
			</staticText>
			<staticText>
				<reportElement x="390" y="3" width="135" height="34" uuid="a61208f7-0712-4e8d-b50f-4ddef1f205aa">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="44381b5e-b6fa-46b3-be10-20eccec18f74"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="9"/>
				</textElement>
				<text><![CDATA[REF. SUPPLIER]]></text>
			</staticText>
			<staticText>
				<reportElement x="298" y="3" width="38" height="34" uuid="dea32ec8-73bc-42a1-b546-9d642c55b47a">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="b9675145-ae95-4dc8-ab47-078da55875c8"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="9"/>
				</textElement>
				<text><![CDATA[SATUAN]]></text>
			</staticText>
			<staticText>
				<reportElement x="570" y="3" width="165" height="34" uuid="759eba1c-60f2-4990-bd97-7ae7e7c87173">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="fcd76966-67fc-4ce3-ad40-d04fade9fdff"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="9"/>
				</textElement>
				<text><![CDATA[PERUNTUKAN]]></text>
			</staticText>
			<staticText>
				<reportElement x="735" y="3" width="157" height="34" uuid="db1551ad-0b4e-45e7-aa3f-31cb0f49ad25">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="fcd76966-67fc-4ce3-ad40-d04fade9fdff"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="9"/>
				</textElement>
				<text><![CDATA[CATATAN LAIN2]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="30" splitType="Stretch">
			<textField pattern="#,###.###;(#,###.###-)" isBlankWhenNull="true">
				<reportElement style="Style1" stretchType="RelativeToTallestObject" x="336" y="0" width="55" height="30" uuid="f5bc99f2-5b59-4fc6-bdc0-263a7c0e700b">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="b9675145-ae95-4dc8-ab47-078da55875c8"/>
				</reportElement>
				<box>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Verdana" size="11"/>
					<paragraph lineSpacing="Proportional"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{qty}]]></textFieldExpression>
			</textField>
			<textField pattern="#,###.###" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" x="526" y="0" width="44" height="30" uuid="6712a003-9a50-4d27-8c6d-8b25ff9f9e7d">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="1e0f5262-5118-4ae1-bf1f-b129713a4e62"/>
				</reportElement>
				<box>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Verdana" size="9"/>
					<paragraph lineSpacing="Proportional"/>
				</textElement>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement style="Style1" stretchType="RelativeToTallestObject" x="298" y="0" width="38" height="30" uuid="d2a501d1-cce8-402e-89e9-1a4e5a38bf14">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="83f5f131-0e71-4ea6-a790-134680a16615"/>
				</reportElement>
				<box>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Verdana" size="9"/>
					<paragraph lineSpacing="Proportional"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{unit}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement key="" style="Style1" stretchType="RelativeToTallestObject" x="127" y="0" width="171" height="30" uuid="5e37750d-c7bd-4d29-96da-25ea468ef0a8">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="5e490383-2270-47bb-a0eb-8647707ce7ba"/>
				</reportElement>
				<box>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font size="10"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{produkname}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement style="Style1" stretchType="RelativeToTallestObject" x="37" y="0" width="90" height="30" uuid="c8b6c9bf-c3d3-4115-8752-f4004fa76888">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="08434180-00d7-4728-9342-ba34f8221d2c"/>
				</reportElement>
				<box>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textFieldExpression><![CDATA[$F{codeproduk}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement style="Style1" stretchType="RelativeToTallestObject" x="390" y="0" width="136" height="30" uuid="7ccbc05d-e114-487e-8b35-262b8a31044c">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="4832afe3-0c64-44c6-a1ea-510bf64546a0"/>
				</reportElement>
				<box>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textFieldExpression><![CDATA[$F{supplyername}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement style="Style1" stretchType="RelativeToTallestObject" x="570" y="0" width="165" height="30" uuid="5fd1bcbb-2217-4e03-b502-664753f0b0b7">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="56ea24e7-2974-4020-895a-b1283c11bfef"/>
				</reportElement>
				<box>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textFieldExpression><![CDATA[$F{necessity}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement style="Style1" stretchType="RelativeToTallestObject" x="735" y="0" width="157" height="30" uuid="c87f6812-cad1-43fa-967e-db701d078f4c">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="2fd3dc2a-2308-49ac-a7d9-6fdc9fd24d6a"/>
				</reportElement>
				<box>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textFieldExpression><![CDATA[$F{dt_sent} == null ? $F{catatan} : "Tanggal Kirim " + new SimpleDateFormat("dd-MM-yyyy h:mm a").format($F{dt_sent}) + ", " +  $F{catatan}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement style="Style1" stretchType="RelativeToTallestObject" x="7" y="0" width="30" height="30" uuid="adfbe32d-781d-4e58-9a14-b318f1475b0d"/>
				<box>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<textElement>
					<font size="11"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{idpurorditem1}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band height="96">
			<staticText>
				<reportElement x="420" y="63" width="270" height="12" uuid="3bf140c8-defd-4bac-bdbb-3d6a023bb0b2"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="8"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Tanda Tangan, Nama dan  Tgl, ]]></text>
			</staticText>
			<staticText>
				<reportElement x="420" y="5" width="270" height="18" uuid="4b03ff60-6fa3-4c09-9ef5-e53dd19fc1bd"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="9"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Diisi Oleh Bagian Pembelian]]></text>
			</staticText>
			<staticText>
				<reportElement x="420" y="23" width="182" height="12" uuid="44619bbc-44ba-4353-8f95-9fa0fb4d0e6b"/>
				<box>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Arial" size="8"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[   PP Diterima Tgl.                        ]]></text>
			</staticText>
			<staticText>
				<reportElement x="420" y="35" width="182" height="14" uuid="7c71f64e-ba70-41cf-8e12-399bf8e10088"/>
				<box>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Arial" size="8"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[   Tgl. Est. Kesediaan Barang      ]]></text>
			</staticText>
			<staticText>
				<reportElement x="420" y="49" width="182" height="14" uuid="71ee6bec-8ca1-49f1-b519-e83417b1f41b"/>
				<box>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Arial" size="8"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[   Alasan *                                     ]]></text>
			</staticText>
			<staticText>
				<reportElement x="530" y="23" width="10" height="12" uuid="1951be64-e838-4c8b-8aee-f9157e02ab86"/>
				<box>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Arial" size="8"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<staticText>
				<reportElement x="530" y="35" width="10" height="14" uuid="c9c2df61-a49f-409a-81f0-839ed6121637"/>
				<box>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Arial" size="8"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<staticText>
				<reportElement x="530" y="49" width="10" height="14" uuid="eabe98ed-d972-4f70-96d8-89356b7339a3"/>
				<box>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Arial" size="8"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<staticText>
				<reportElement x="602" y="23" width="88" height="40" uuid="41a86875-25b9-4a73-b31b-7c8f124050dd"/>
				<box>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Arial" size="8"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[]]></text>
			</staticText>
			<staticText>
				<reportElement x="262" y="63" width="134" height="12" uuid="203c5c17-1f03-4fe4-b5d2-192a6a4f8fdb"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="8"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Tanda Tangan, Nama dan  Tgl, ]]></text>
			</staticText>
			<frame>
				<reportElement x="262" y="23" width="134" height="40" uuid="9abbd91e-1a55-4346-a2ba-485ca298d1a8"/>
				<box>
					<rightPen lineWidth="1.0"/>
				</box>
			</frame>
			<staticText>
				<reportElement x="8" y="63" width="150" height="12" uuid="c2d8e149-7054-4ed0-a210-a64531b042af"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="8"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Tanda Tangan, Nama dan  Tgl, ]]></text>
			</staticText>
			<staticText>
				<reportElement x="262" y="5" width="134" height="18" uuid="6671820d-86db-4018-93b9-0c8f7ce0a907"/>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="9"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Keuangan/Direksi :]]></text>
			</staticText>
			<staticText>
				<reportElement x="8" y="5" width="150" height="18" uuid="03835e15-e51d-4e77-8e6c-b23005fee30b"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="9"/>
				</textElement>
				<text><![CDATA[Diusulkan Oleh :]]></text>
			</staticText>
			<staticText>
				<reportElement x="9" y="76" width="387" height="12" uuid="b049067c-2e8f-4a08-946c-582bbc62b818"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="8"/>
				</textElement>
				<text><![CDATA[*, Diisi Bilamana Tgl. Est. Kesediaan Barang Lebih Lama Dari Tgl. Barang Dibutuhkan]]></text>
			</staticText>
			<frame>
				<reportElement x="8" y="22" width="150" height="41" uuid="cd508066-0580-4d78-87ea-38a01e56380a"/>
				<box>
					<leftPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textField isBlankWhenNull="true">
					<reportElement x="1" y="26" width="149" height="15" uuid="ee66e1c5-ab2c-4dd6-968e-83135093a23e"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Verdana" size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{appKepBag}.toUpperCase()]]></textFieldExpression>
				</textField>
			</frame>
			<staticText>
				<reportElement x="158" y="5" width="104" height="18" uuid="65d03d7d-7bd5-442f-9e64-b23859c9f939"/>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="9"/>
				</textElement>
				<text><![CDATA[Disetujui Kepala Bagian :]]></text>
			</staticText>
			<staticText>
				<reportElement x="158" y="63" width="104" height="12" uuid="650626e6-231d-48e6-9f6a-114a9aa7e668"/>
				<box>
					<topPen lineWidth="1.0"/>
					<leftPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="8"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Tanda Tangan, Nama dan  Tgl, ]]></text>
			</staticText>
			<frame>
				<reportElement x="158" y="23" width="104" height="40" uuid="4c511e3c-2ac6-4619-b9ae-e757630144d7"/>
				<box>
					<leftPen lineWidth="1.0"/>
					<rightPen lineWidth="1.0"/>
				</box>
				<textField isBlankWhenNull="true">
					<reportElement x="1" y="25" width="103" height="14" uuid="ee6bced5-d7fd-4087-b0d9-65415f0f70b2"/>
					<textElement textAlignment="Center" verticalAlignment="Middle">
						<font fontName="Verdana" size="8"/>
					</textElement>
					<textFieldExpression><![CDATA[$F{apppabrik}.toUpperCase()]]></textFieldExpression>
				</textField>
			</frame>
			<staticText>
				<reportElement x="713" y="5" width="90" height="44" uuid="c72be437-e4e2-46b6-891c-b95cc614287b"/>
				<box>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top">
					<font fontName="Arial" size="9"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Warna Putih            :
Warna Hijau            :
Warna Merah          :]]></text>
			</staticText>
			<staticText>
				<reportElement x="803" y="5" width="88" height="44" uuid="85fdc05c-2d4f-4502-8caa-00aaf8652afc"/>
				<box>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top">
					<font fontName="Arial" size="9"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[Bagian Pembelian
Peminta 2
Peminta 1]]></text>
			</staticText>
			<staticText>
				<reportElement x="713" y="49" width="90" height="14" uuid="809a7da1-f806-49e2-b6b7-13e94b39f28f"/>
				<box>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="Arial" size="9"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[NO. DOK.                :
]]></text>
			</staticText>
			<staticText>
				<reportElement x="713" y="63" width="90" height="14" uuid="dd1b6883-f3ea-44d0-989e-5d44a519df20"/>
				<box>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top">
					<font fontName="Arial" size="9"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[MULAI BERLAKU   :
]]></text>
			</staticText>
			<staticText>
				<reportElement x="803" y="49" width="88" height="14" uuid="8d8b5d6e-7901-4033-8c2e-a9391a0d3b95"/>
				<box>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial" size="9"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[FM/SBS/028]]></text>
			</staticText>
			<staticText>
				<reportElement x="803" y="63" width="88" height="14" uuid="3c2b51cc-d5d3-425f-9683-995c0a8c45df"/>
				<box>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial" size="9"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[01 MARET 2020]]></text>
			</staticText>
			<staticText>
				<reportElement x="803" y="77" width="88" height="14" uuid="e0e87e7d-6a18-4d7f-a08d-9770e38eac9b"/>
				<box>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial" size="9"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[REV. : 2]]></text>
			</staticText>
			<staticText>
				<reportElement x="713" y="35" width="90" height="14" uuid="a06bc959-fbdf-4d85-8f06-a5632ea529a3"/>
				<box>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Bottom">
					<font fontName="Arial" size="9"/>
					<paragraph lineSpacing="Single"/>
				</textElement>
				<text><![CDATA[HALAMAN               :
]]></text>
			</staticText>
			<textField isBlankWhenNull="true">
				<reportElement x="806" y="35" width="52" height="14" uuid="ec2a422c-cb59-45dc-ab25-e51bf81af159"/>
				<textElement textAlignment="Right" verticalAlignment="Bottom">
					<font fontName="Verdana" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report">
				<reportElement x="855" y="35" width="36" height="14" uuid="f0e48569-f76f-434f-89ff-bb1748277b71"/>
				<textElement textAlignment="Right" verticalAlignment="Bottom">
					<font fontName="Verdana" size="9"/>
				</textElement>
				<textFieldExpression><![CDATA["Dari  " + $V{PAGE_NUMBER}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="601" y="48" width="89" height="14" uuid="53b83ae7-9d8f-4a05-94b3-775b9ee2c35c"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Verdana" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{apppembelian}.toUpperCase()]]></textFieldExpression>
			</textField>
			<textField pattern="d MMMM yyyy" isBlankWhenNull="true">
				<reportElement x="540" y="23" width="61" height="12" uuid="41729f1b-78bf-4093-8f04-3a497863791c"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{tglreg}]]></textFieldExpression>
			</textField>
		</band>
	</pageFooter>
</jasperReport>
